<!--
Thanks for contributing to the Upsun Validator project!

If you haven't contributed before, see our [contributing guide](../CONTRIBUTING.md).
-->

## Why

Closes #{ISSUE_NUMBER}

<!--
  If there's an existing issue for your change, please link to it.
  If there's not an existing issue, please describe the reason for the change in detail.
-->

## What's changed

<!--
  Give an overview of the changes you made.
  Make it clear what's in scope for the review (so reviewers know what to look for).
-->

Updates affect:

- [ ] Workflows
- [ ] Issue and pull request templates
- [ ] Packaging, publishing, and releases
- [ ] Tests
- [ ] Examples (`upsunvalidator/tests/valid`)
- [ ] Failing examples (`upsunvalidator/tests/invalid_*`)
- [ ] Documentation & docstrings
- [ ] Changelog
- [ ] Schema updates & additions
- [ ] Utility functions
- [ ] Validation
- [ ] Providers

<!-- Describe your updates below this line. Feel free to uncomment/select items in the list above as well. -->

## Make sure you have done the following

- [ ] Opened and linked an issue to this pull request
- [ ] Read through [`CONTRIBUTING.md`](../CONTRIBUTING.md)
- [ ] Bumped the patch version in [`upsunvalidator/__init__.py`](../upsunvalidator/__init__.py)
- [ ] Included an entry in the [`CHANGELOG.md`](../CHANGELOG.md) file for your change
- [ ] Added documentation and/or docstrings describing your change
- [ ] Run tests locally prior to review
- [ ] Included tests for your change
- [ ] Requested review from a maintainer
